# Adjective list and noun list from: https://github.com/williexu/random_username
# Modified to allow the list to be always in memory and the choose the format

import random

ADJECTIVES = [
    "abject", 
    "aboard", 
    "adoring", 
    "affected", 
    "alert", 
    "aloof", 
    "amazed", 
    "amused", 
    "annoyed", 
    "anxious", 
    "ardent", 
    "artistic", 
    "ashamed", 
    "awed", 
    "betrayed", 
    "blissful", 
    "boastful", 
    "bored", 
    "brainy", 
    "bubbly", 
    "cautious", 
    "cheerful", 
    "chic", 
    "cocky", 
    "content", 
    "cruel", 
    "crummy", 
    "crushed", 
    "cultured", 
    "curious", 
    "cynical", 
    "dear", 
    "debonair", 
    "decimal", 
    "dejected", 
    "dopey", 
    "dreadful", 
    "dreary", 
    "eager", 
    "ecstatic", 
    "empathic", 
    "empty", 
    "enraged", 
    "envious", 
    "euphoric", 
    "exacting", 
    "excited", 
    "excluded", 
    "fervent", 
    "finicky", 
    "fond", 
    "forsaken", 
    "giddy", 
    "gleeful", 
    "gloomy", 
    "goofy", 
    "grizzled", 
    "grudging", 
    "grumpy", 
    "guilty", 
    "guttural", 
    "holistic", 
    "humorous", 
    "hushed", 
    "imported", 
    "innocent", 
    "insecure", 
    "jealous", 
    "joyful", 
    "jubilant", 
    "jumpy", 
    "kind", 
    "lazy", 
    "lovesick", 
    "lying", 
    "mad", 
    "mellow", 
    "merciful", 
    "mere", 
    "mild", 
    "morbid", 
    "murky", 
    "needful", 
    "needy", 
    "obsessed", 
    "offended", 
    "outlying", 
    "pacified", 
    "panicky", 
    "peaceful", 
    "pesky", 
    "pitiful", 
    "pleased", 
    "plucky", 
    "prideful", 
    "puzzled", 
    "relieved", 
    "resolved", 
    "sad", 
    "scornful", 
    "selfish", 
    "shameful", 
    "sheepish", 
    "shy", 
    "similar", 
    "sincere", 
    "solemn", 
    "solid", 
    "somber", 
    "sore", 
    "spirited", 
    "stressed", 
    "sugary", 
    "superior", 
    "taut", 
    "thrifty", 
    "thrilled", 
    "troubled", 
    "trusting", 
    "truthful", 
    "unhappy", 
    "vengeful", 
    "wakeful", 
    "weary", 
    "winged", 
    "worldly", 
    "wornout", 
    "worried", 
    "wrathful", 
    "yearning", 
    "zesty"
]

NOUNS = [
    "abalone",
    "antelope", 
    "apples", 
    "apricots", 
    "baboon", 
    "bagels", 
    "basmati", 
    "bass", 
    "bittern", 
    "boa", 
    "boars", 
    "bobolink", 
    "buck", 
    "burritos", 
    "bustard", 
    "buzzard", 
    "cake", 
    "camel", 
    "cardinal", 
    "caribou", 
    "caviar", 
    "chamois", 
    "cheese", 
    "cheetah", 
    "chile", 
    "chough", 
    "chowder", 
    "clam", 
    "coati", 
    "cockatoo", 
    "coconut", 
    "cod", 
    "cordial", 
    "cow", 
    "crackers", 
    "crane", 
    "cur", 
    "curlew", 
    "dingo", 
    "dinosaur", 
    "dotterel", 
    "doughnut", 
    "dove", 
    "doves", 
    "dunbird", 
    "eagle", 
    "eggs", 
    "eland", 
    "falcon", 
    "ferret", 
    "fish", 
    "flamingo", 
    "garlic", 
    "gatorade", 
    "gelding", 
    "gnu", 
    "granola", 
    "hare", 
    "hawk", 
    "heron", 
    "hoopoe", 
    "hyena", 
    "icecream", 
    "iguana", 
    "jaguar", 
    "jerky", 
    "kitten", 
    "lapwing", 
    "lard", 
    "lemur", 
    "leopard", 
    "lion", 
    "lizard", 
    "llama", 
    "locust", 
    "lollies", 
    "macaw", 
    "mackerel", 
    "magpie", 
    "mallard", 
    "mandrill", 
    "mare", 
    "meerkat", 
    "moth", 
    "muesli", 
    "mussel", 
    "oatmeal", 
    "ocelot", 
    "oil", 
    "orange", 
    "oryx", 
    "otter", 
    "owl", 
    "paella", 
    "pear", 
    "pepper", 
    "pie", 
    "piglet", 
    "plover", 
    "polenta", 
    "ponie", 
    "porpoise", 
    "poultry", 
    "pretzels", 
    "pudding", 
    "pup", 
    "quiche", 
    "raisins", 
    "rat", 
    "relish", 
    "rhino", 
    "rice", 
    "ruffs", 
    "salami", 
    "salt", 
    "sardines", 
    "sausage", 
    "seafowl", 
    "seagull", 
    "seahorse", 
    "shads", 
    "sheep", 
    "smelt", 
    "snail", 
    "snipe", 
    "stork", 
    "swift", 
    "syrup", 
    "tacos", 
    "teal", 
    "termite", 
    "thrush", 
    "thrushe", 
    "tomatoe", 
    "tortoise", 
    "toucan", 
    "truffle", 
    "tuna", 
    "unicorn", 
    "venison", 
    "viper", 
    "wasp", 
    "weaver", 
    "whiting", 
    "widgeon", 
    "wigeon", 
    "wildfowl", 
    "zebra"
]


def random_user(digits=2, delimiter="-"):
    adjective = random.choice(ADJECTIVES)
    noun = random.choice(NOUNS)
    if digits > 0:
        num = str(random.randrange(10 ** digits))
        return f"{adjective}{delimiter}{noun}{delimiter}{num}"
    else:
        return f"{adjective}{delimiter}{noun}"
